Name:           net_monitor
Version:        0.17
Release:        %mkrel 1
Summary:        Network monitoring tool
License:        GPLv2
Group:          Monitoring
Url:            http://gitweb.mageia.org/software/net_monitor/
Source0:        %{name}-%{version}.tar.xz
Patch0:         net_monitor-0.12-agnotic-distro.patch
Requires:       vnstat
Requires:       python-gi-cairo
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  libiw-devel

%description
This is a network monitoring tool, intended to replace the old net_monitor from
drakx-net. It supports graphical network monitoring and some advanced features,
such as network profiling, activity monitoring, detailed logging and network
traffic statistics with help of vnstat reporting.

%prep
%setup -q
%patch0 -p0

%build
make all

%install
rm -rf %{buildroot}
make install
mkdir -p %{buildroot}%{_logdir}
touch %{buildroot}%{_logdir}/%{name}.log

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS TODO
%_bindir/%{name}
%{_sysconfdir}/sysconfig/network-scripts/if*.d/netmonitor*
%{py_platsitedir}/%{name}-%{version}-py*
%{py_platsitedir}/%{name}
%ghost %{_logdir}/%{name}.log


%changelog
* Sat Apr 05 2014 alexl <alexl> 0.17-1.mga4
+ Revision: 611803
- Convert tabs to spaces (rpmlint)
- Fix MGA#12882 (use of str() instead of unicode()).

  + tv <tv>
    - fix missing interface name in message
    - fix treating UTF-8 strings as ascii (mga#12047)
    - silent a warning when there's no wireless device

* Wed Dec 18 2013 tv <tv> 0.15-1.mga4
+ Revision: 558354
- updated translations

* Tue Nov 26 2013 zezinho <zezinho> 0.14-2.mga4
+ Revision: 553605
- add python-gi-cairo requires to show graph

* Wed Nov 20 2013 tv <tv> 0.14-1.mga4
+ Revision: 552026
- port to gtk3 using introspection
- drop manual requires

* Wed Nov 06 2013 tmb <tmb> 0.13-1.mga4
+ Revision: 549819
- update to 0.13

* Tue Nov 05 2013 tmb <tmb> 0.12-1.mga4
+ Revision: 549729
- update to 0.12

* Tue Oct 22 2013 luigiwalser <luigiwalser> 0.11-8.mga4
+ Revision: 546356
- fix URL

* Tue Oct 22 2013 umeabot <umeabot> 0.11-7.mga4
+ Revision: 542841
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.11-6.mga4
+ Revision: 497959
- Rebuild to add different pythonegg provides for python 2 and 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 27 2011 dmorgan <dmorgan> 0.11-4.mga1
+ Revision: 61179
- Add missing patch
- Make net_monitor not related to a specific distro

* Sun Feb 27 2011 ahmad <ahmad> 0.11-3.mga1
+ Revision: 61177
- use a distro-generic description, should fix (mga #224)

* Sun Feb 20 2011 dmorgan <dmorgan> 0.11-2.mga1
+ Revision: 54763
- imported package net_monitor


* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 0.11-2mdv2011.0
+ Revision: 591291
- rebuild for py2.7

* Mon Jun 14 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.11-1mdv2010.1
+ Revision: 548031
- 0.11:
- properly check if device dissapears (#57108)

* Mon Jun 14 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.10-1mdv2010.1
+ Revision: 547998
- 0.10:
- properly check for /var/log/net_monitor.log permissions (#59777)

* Sat Jun 05 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.09-1mdv2010.1
+ Revision: 547137
- 0.09:
- add support for displaying network connections
- fix handling unsupported network card parameters
- fix crash on x86_64 bits when displaying route information

* Tue May 25 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.08-1mdv2010.1
+ Revision: 546017
- 0.08:
- properly detect default route on x86_64 systems
- properly calculate network uptime
- modified timeouts to improve system power usage

* Mon Mar 01 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.07-1mdv2010.1
+ Revision: 513263
- 0.07:
- implement initial connection uptime monitoring in GUI
- added ifup.d and ifdown.d scripts to account network uptime

* Wed Oct 14 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.06-1mdv2010.0
+ Revision: 457417
- 0.06:
- support selecting default monitoring interface from command line
- support running from draknetcenter
- display interface icons when available

* Tue Oct 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.05-1mdv2010.0
+ Revision: 457191
- 0.05:
- prevent crashing when running for long time
- pretty-format traffic data

* Thu Oct 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.04-1mdv2010.0
+ Revision: 452202
- 0.04:
- simplified UI

* Wed Sep 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.03-1mdv2010.0
+ Revision: 451674
- 0.03:
- improved network traffic graphics
- displaying global system information in statusbar (routes, DNS, ...)

* Wed Sep 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.02-1mdv2010.0
+ Revision: 451116
- 0.02:
- largely improved execution overhead
- converted to use standard python routines
- interactively monitoring wireless link level
- correctly detecting network interface data
- displaying more detailed interface information
- using two fixed columns for interface data

* Fri Sep 25 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.01-1mdv2010.0
+ Revision: 448548
- first version.
- Created package structure for net_monitor.

